# Uses of Interface
org.apache.felix.service.command.CommandSession

Packages that use CommandSession
Package
Description
org.apache.felix.gogo.api
org.apache.felix.gogo.runtime
org.apache.felix.gogo.runtime.activator
org.apache.felix.service.command

## Uses of CommandSession in org.apache.felix.gogo.api

Methods in org.apache.felix.gogo.api with parameters of type CommandSession
Modifier and Type
Method
Description
`void`
CommandSessionListener.`afterExecute(CommandSession session, CharSequence command, Exception exception)`
`void`
CommandSessionListener.`afterExecute(CommandSession session, CharSequence command, Object result)`
`void`
CommandSessionListener.`beforeExecute(CommandSession session, CharSequence command)`

## Uses of CommandSession in org.apache.felix.gogo.runtime

Classes in org.apache.felix.gogo.runtime that implement CommandSession
Modifier and Type
Class
Description
`class`
`CommandSessionImpl`
Fields in org.apache.felix.gogo.runtime with type parameters of type CommandSession
Modifier and Type
Field
Description
`protected final WeakHashMap<CommandSession,Object>`
CommandProcessorImpl.`sessions`
Methods in org.apache.felix.gogo.runtime that return CommandSession
Modifier and Type
Method
Description
`CommandSession`
CommandProcessorImpl.`createSession(InputStream in, PrintStream out, PrintStream err)`
Methods in org.apache.felix.gogo.runtime with parameters of type CommandSession
Modifier and Type
Method
Description
`Object`
CommandProcessorImpl.`eval(CommandSession session, Object[] argv)`
`Object`
Closure.`execute(CommandSession x, List<Object> values)`
`Object`
CommandProxy.`execute(CommandSession session, List<Object> arguments)`
`static Object`
Reflective.`invoke(CommandSession session, Object target, String name, List<Object> args)`
invokes the named method on the given target using the supplied args, which are converted if necessary.

## Uses of CommandSession in org.apache.felix.gogo.runtime.activator

Methods in org.apache.felix.gogo.runtime.activator with parameters of type CommandSession
Modifier and Type
Method
Description
`void`
EventAdminListener.`afterExecute(CommandSession session, CharSequence command, Exception exception)`
`void`
EventAdminListener.`afterExecute(CommandSession session, CharSequence command, Object result)`
`void`
EventAdminListener.`beforeExecute(CommandSession session, CharSequence command)`

## Uses of CommandSession in org.apache.felix.service.command

Methods in org.apache.felix.service.command that return CommandSession
Modifier and Type
Method
Description
`CommandSession`
CommandProcessor.`createSession(InputStream in, PrintStream out, PrintStream err)`
Create a new command session associated with IO streams.
Methods in org.apache.felix.service.command with parameters of type CommandSession
Modifier and Type
Method
Description
`Object`
Function.`execute(CommandSession session, List<Object> arguments)`
Execute this function and return the result.